> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Filings

> The Get Filings API retrieves a paginated list of filings based on
    filters such as dates, jurisdiction, Country, status, etc. This helps track
    and manage tax filings efficiently across multiple jurisdictions.



## OpenAPI

````yaml get /v1/filings
openapi: 3.0.0
info:
  title: Tax Platform
  version: 1.0.0
servers:
  - url: https://api.trykintsugi.com
    description: Production API server URL
security: []
paths:
  /v1/filings:
    get:
      tags:
        - Filings
      summary: Get Filings
      description: |-
        The Get Filings API retrieves a paginated list of filings based on
            filters such as dates, jurisdiction, Country, status, etc. This helps track
            and manage tax filings efficiently across multiple jurisdictions.
      operationId: get_filings_v1_filings_get
      parameters:
        - name: status__in
          in: query
          required: false
          schema:
            description: Filter filings by status
            default: FILED,FILING,UNFILED,PAUSED
            type: string
          description: Filter filings by status
          example: FILED,FILING,UNFILED,PAUSED
        - name: start_date
          in: query
          required: false
          schema:
            description: >-
              Filter filings with a start date greater than or equal to this
              date.
            type: string
          description: Filter filings with a start date greater than or equal to this date.
          example: '2024-01-01'
        - name: end_date
          in: query
          required: false
          schema:
            description: Filter filings with an end date less than or equal to this date.
            type: string
          description: Filter filings with an end date less than or equal to this date.
          example: '2024-12-31'
        - name: date_filed__gte
          in: query
          required: false
          schema:
            description: Filter filings filed on or after this date.
            type: string
          description: Filter filings filed on or after this date.
          example: '2024-01-01'
        - name: date_filed__lte
          in: query
          required: false
          schema:
            description: Filter filings filed on or before this date.
            type: string
          description: Filter filings filed on or before this date.
          example: '2024-12-31'
        - name: order_by
          in: query
          required: false
          schema:
            description: Comma-separated list of fields to sort the results.
            type: string
          description: Comma-separated list of fields to sort the results.
          example: status,start_date,end_date,amount
        - name: state_code
          in: query
          required: false
          schema:
            description: Filter filings by state code (e.g., CA for California).
            type: string
          description: Filter filings by state code (e.g., CA for California).
          example: CA
        - name: country_code
          in: query
          required: false
          schema:
            description: >-
              Filter filings by country code in ISO 3166-1 alpha-2 format (e.g.,
              US).
            type: array
            items:
              $ref: '#/components/schemas/CountryCodeEnum'
          description: >-
            Filter filings by country code in ISO 3166-1 alpha-2 format (e.g.,
            US).
          example: US
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successfully retrieved filings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_FilingRead_'
              example:
                items:
                  - status: FILED
                    start_date: '2024-01-01'
                    end_date: '2024-12-31'
                    due_date: '2025-01-20'
                    date_filed: '2025-01-19'
                    is_manual: false
                    state_code: CA
                    state_name: California
                    country_code: US
                    jira_issue_key: TO-1234
                    auto_approved: true
                    amount_calculated: '2500.00'
                    amount_adjusted: '0.00'
                    amount_discounts: '0.00'
                    amount_fees: '50.00'
                    amount_penalties: '10.00'
                    amount_tax_collected: '2510.00'
                    amount_sales: '125000.00'
                    amount: '2510.00'
                    total_tax_liability: '2510.00'
                    transaction_count: 25
                    internal_notes: Filing completed successfully.
                    tax_remitted: '2510.00'
                    return_confirmation_id: RC123456789
                    payment_confirmation_id: PC987654321
                    id: file_ABC123XYZ789
                    registration_id: regs_12345ABCDE
                  - status: FILING
                    start_date: '2024-07-01'
                    end_date: '2024-09-30'
                    due_date: '2024-10-15'
                    is_manual: true
                    state_code: NY
                    state_name: New York
                    country_code: US
                    jira_issue_key: TO-5678
                    auto_approved: false
                    amount_calculated: '1200.00'
                    amount_adjusted: '0.00'
                    amount_discounts: '0.00'
                    amount_fees: '30.00'
                    amount_penalties: '0.00'
                    amount_tax_collected: '1230.00'
                    amount_sales: '62000.00'
                    amount: '1230.00'
                    total_tax_liability: '1230.00'
                    transaction_count: 18
                    tax_remitted: '0.00'
                    id: file_DEF456UVW321
                    registration_id: regs_67890VWXYZ
                total: 2
                page: 1
                size: 50
                pages: 1
        '401':
          description: Unauthenticated request.
          content:
            application/json:
              example:
                detail: The request is missing a valid x-api-key.
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              example:
                detail: Entered an incorrect URL.
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              example:
                detail:
                  - type: date_from_datetime_parsing
                    loc:
                      - query
                      - start_date
                    msg: >-
                      Input should be a valid date or datetime, input is too
                      short
                    input: 23rdJan
                    ctx:
                      error: input is too short
              schema:
                $ref: >-
                  #/components/schemas/backend__src__filings__responses__ValidationErrorResponse
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                detail: An unexpected error occurred
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
          CustomHeader: []
components:
  schemas:
    CountryCodeEnum:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - CI
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - XK
        - ZZ_EU
      title: CountryCodeEnum
    Page_FilingRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/FilingRead'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[FilingRead]
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorResponse
    backend__src__filings__responses__ValidationErrorResponse:
      properties:
        detail:
          items:
            $ref: >-
              #/components/schemas/backend__src__filings__responses__ValidationErrorItem
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ValidationErrorResponse
    FilingRead:
      properties:
        status:
          $ref: '#/components/schemas/FilingStatusEnum'
          description: |-
            Filing status. Possible values:
                                                UNFILED, FILING, FILED.
          default: UNFILED
        start_date:
          type: string
          format: date
          title: Start Date
          description: The start date of the filing period.
        end_date:
          type: string
          format: date
          title: End Date
          description: The end date of the filing period.
        due_date:
          description: The due date of the filing.
          type: string
        date_filed:
          description: The date the filing was completed, if applicable.
          type: string
        is_manual:
          description: Indicates if the filing was done manually.
          type: boolean
        state_code:
          description: The code of the state associated with the filing (e.g., IA, NY).
          type: string
        state_name:
          description: |-
            The name of the state associated with the filing
                    (e.g., Iowa, New York).
          type: string
        country_code:
          $ref: '#/components/schemas/CountryCodeEnum'
          description: Country code in ISO 3166-1 alpha-2 format (e.g., US).
        jira_issue_key:
          description: |-
            The associated JIRA issue key for tracking the filing,
                    if available. Can be null.
          type: string
        auto_approved:
          description: Indicates if the filing was auto-approved. Defaults to false.
          default: false
          type: boolean
        paused_until_date:
          description: Indicates the date when filing will be unpaused.
          type: string
        filing_category:
          type: string
          maxLength: 50
          title: Filing Category
          description: |-
            Category of filing. Common values:
                                                REGULAR (standard periodic filing),
                                                PREPAYMENT (prepayment or estimated tax),
                                                AMENDMENT (amended return).
                                                Different categories can have overlapping periods.
          default: REGULAR
        approved_by:
          description: User ID of who approved the filing.
          type: string
        approved_at:
          description: Timestamp when the filing was approved.
          type: string
        amount_calculated:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Amount Calculated
          description: The calculated amount for the filing. Defaults to 0.00.
          default: '0.00'
        amount_adjusted:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Amount Adjusted
          description: Adjusted amount, if any.
          default: '0.00'
        amount_discounts:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Amount Discounts
          description: Discounts applied to the filing.
          default: '0.00'
        amount_fees:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Amount Fees
          description: Discounts applied to the amount.
          default: '0.00'
        amount_penalties:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Amount Penalties
          description: Penalties applied to the filing.
          default: '0.00'
        amount_tax_collected:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Amount Tax Collected
          description: Total tax collected during the filing period.
          default: '0.00'
        amount_sales:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Amount Sales
          description: Total sales amount during the filing period.
          default: '0.00'
        total_taxable_sales:
          description: Total taxable amount during the filing period.
          default: '0.00'
          type: string
        amount:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Amount
          description: Final amount due for the filing.
          default: '0.00'
        total_tax_liability:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Total Tax Liability
          description: Total tax liability for the filing.
          default: '0.00'
        transaction_count:
          type: integer
          title: Transaction Count
          description: >-
            Number of non-marketplace transactions. For total, add
            marketplace_transaction_count.
          default: 0
        marketplace_transaction_count:
          type: integer
          title: Marketplace Transaction Count
          description: Number of marketplace transactions associated with the filing.
          default: 0
        internal_notes:
          description: Notes or comments related to the filing.
          type: string
        recent_details_report_link:
          type: string
        tax_remitted:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,10}|(?=[\d.]{1,13}0*$)\d{0,10}\.\d{0,2}0*$)
          title: Tax Remitted
          description: The amount of tax remitted.
          default: '0.00'
        return_confirmation_id:
          description: Return confirmation ID, if applicable.
          type: string
        payment_confirmation_id:
          description: Payment confirmation ID, if applicable.
          type: string
        block_approval:
          description: Indicates if the filing can be approved.
          type: boolean
        currency:
          $ref: '#/components/schemas/CurrencyEnum'
          description: Currency code for the filing (e.g., USD, CAD).
        id:
          type: string
          title: Id
          description: Unique identifier for the filing.
        registration_id:
          type: string
          title: Registration Id
          description: Identifier for the registration associated with the filing.
        filing_website_url:
          description: Get the filing website URL for this filing's jurisdiction
          readOnly: true
          type: string
      type: object
      required:
        - start_date
        - end_date
        - country_code
        - id
        - registration_id
        - filing_website_url
      title: FilingRead
    backend__src__filings__responses__ValidationErrorItem:
      properties:
        type:
          type: string
          title: Type
          description: |-
            Validation issues, such as missing required
                                fields or invalid field values.
        loc:
          items:
            type: string
          type: array
          title: Loc
          description: Location of error
        msg:
          type: string
          title: Msg
          description: Error message
        input:
          title: Input
          description: Invalid input value
        ctx:
          additionalProperties: true
          type: object
          title: Ctx
          description: Additional context
      type: object
      required:
        - type
        - loc
        - msg
        - input
        - ctx
      title: ValidationErrorItem
    FilingStatusEnum:
      type: string
      enum:
        - UNFILED
        - FILED
        - FILING
        - PAUSED
      title: FilingStatusEnum
    CurrencyEnum:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GGP
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - IMP
        - INR
        - IQD
        - IRR
        - ISK
        - JEP
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLL
        - SOS
        - SPL
        - SRD
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TVD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VEF
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XDR
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
        - ZWD
      title: CurrencyEnum
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    CustomHeader:
      type: apiKey
      in: header
      name: x-organization-id

````